<?php
declare(strict_types = 1);

require_once(__DIR__ . '/classes/AdminCategory.class.php');
require_once(__DIR__ . '/classes/AdminItems.class.php');
require_once(__DIR__ . '/classes/AdminUsers.class.php');

template:
{
	AdminCategory::tplSection('album_items');

	$text_limits = sprintf(
		__('Vos fichiers ne doivent pas dépasser %s Mo.'),
		Config::$params['upload_maxfilesize']
	);
	$text_limits .= ' ' . sprintf(
		__('Les images doivent être au format JPEG, GIF, PNG ou WEBP uniquement,'
		. ' et faire %s pixels de coté maximum.'),
		Config::$params['upload_maxwidth'] . ' x ' . Config::$params['upload_maxheight']
	);
	$text_limits .= ' ' . __('Les vidéos doivent être au format MP4 ou WEBM.');
	$text_limits .= ' '
		. __('Ces valeurs peuvent être changées dans la section "Options".');
	Template::set('upload',
	[
		'fileexts' => array_merge_recursive(Image::EXT_ARRAY, Video::EXT_ARRAY),
		'filetypes' => array_unique(array_map(['Item', 'getTypeMime'],
			array_merge_recursive(Item::IMAGE_TYPES, Item::VIDEO_TYPES))),
		'temp_dir' => Utility::keyHMAC(),
		'text_limits' => $text_limits
	]);
}

update:
{
	Admin::displayOptions('album');

	if (Auth::$infos['user_prefs']['album']['display'] == 'list')
	{
		AdminItems::edit();

		AdminItems::actions();
	}

	AdminItems::upload();
}

get_data:
{
	AdminCategory::getInfos();

	AdminItems::getItems();

	AdminAlbums::getCategoriesLists();

	AdminUsers::getUsersList();
}
?>